Subject: bug#41298: les icones des applications ne s'affiche pas

From: Julien Lepiller <[email-masked]>
Date: Fri, 15 May 2020 23:06:46 -0400

Le 15 mai 2020 19:25:39 GMT-04:00, ptibedo ptibedo <[email-masked]> a écrit :
>Bonsoir ! Cela fait un moment que ce bug existe et je trouve cela
>étonnant qu'il n'est pas été corrigé depuis.
>Quand j'installe une application je dois constamment fermé la session
>et l'ouvrir pour que les icones précédemment installé soient affichées.
>Je suis sur l'environnement de bureau GNOME.

Oh, since this is bug and not help, I guess it should be in English. Here is a summary for those who wonder what this is about:

When you install an application with guix, you need to log out and in again for the new applications to appear. This happens at jeast with the GNOME desktop environment.

I then suggested to use alt+f2 and type restart to reload the session without having to log out and in again. I think this is more of an issue with gnome not looking for new .desktop files, rather than an issue with guix itself. We don't really have any way to know what desktop environment is running and how to reload application lists.

This is a usability issue, so we should address it. Is there a more standard way to reload a session that I am not aware of? What would a mecanism to create effects (reloading a session) after an install be like? Or should we rather try and propose a patch for gnome to use inotify or similar to check for new .desktop files?

Thoughts?